Bug 86244 - the ide always throws exception after install hibernate plugin
the ide always throws exception after install hibernate plugin
Status: RESOLVED FIXED
Product: third-party
Classification: Unclassified
Component: nbxdoclet
5.x
All All
: P1 (vote)
: 6.x
Assigned To: pzajac
issues@third-party
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-30 08:29 UTC by hdwang
Modified: 2006-10-23 16:41 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
the config/org-netbeans-api-project-libraries contents(zipped) (9.44 KB, application/x-compressed)
2006-10-03 01:41 UTC, hdwang
Details
the xdoclet-xdoclet-module-1.2.3.jar.xml 's screen snap shot (21.29 KB, image/jpeg)
2006-10-03 01:50 UTC, hdwang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hdwang 2006-09-30 08:29:30 UTC
I use Netbeans5.0(Chinese Version) and install the hibernate plugin supplied 
by nbxdoclet. When I create a hiberante bean with the wizard, it asked me to 
download the database drivers and xdoclet module files,then the ide raise 
those messages:

java.lang.IllegalStateException: Unexpected characters() event! (Missing DTD?)
	at 
org.netbeans.modules.project.libraries.LibraryDeclarationParser.dispatch
(LibraryDeclarationParser.java:161)
	at 
org.netbeans.modules.project.libraries.LibraryDeclarationParser.startElement
(LibraryDeclarationParser.java:82)
	at 
com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.startElement
(AbstractSAXParser.java:533)
	at 
com.sun.org.apache.xerces.internal.impl.dtd.XMLDTDValidator.startElement
(XMLDTDValidator.java:798)
	at 
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanStar
tElement(XMLDocumentFragmentScannerImpl.java:878)
	at 
com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl$ContentDispatche
r.scanRootElementHook(XMLDocumentScannerImpl.java:1157)
	at 
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$Fragment
ContentDispatcher.dispatch(XMLDocumentFragmentScannerImpl.java:1794)
	at 
com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocu
ment(XMLDocumentFragmentScannerImpl.java:368)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse
(XML11Configuration.java:834)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse
(XML11Configuration.java:764)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse
(XMLParser.java:148)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse
(AbstractSAXParser.java:1242)
	at 
org.netbeans.modules.project.libraries.LibraryDeclarationParser.parse
(LibraryDeclarationParser.java:232)
	at 
org.netbeans.modules.project.libraries.LibraryDeclarationParser.parse
(LibraryDeclarationParser.java:185)
	at org.netbeans.modules.project.libraries.LibrariesStorage.readLibrary
(LibrariesStorage.java:188)
	at 
org.netbeans.modules.project.libraries.LibrariesStorage.loadFromStorage
(LibrariesStorage.java:112)
	at org.netbeans.modules.project.libraries.LibrariesStorage.initStorage
(LibrariesStorage.java:164)
	at org.netbeans.modules.project.libraries.LibrariesStorage.getLibraries
(LibrariesStorage.java:273)
	at org.netbeans.modules.project.libraries.LibrariesModule.restored
(LibrariesModule.java:37)
	at org.netbeans.core.startup.NbInstaller.loadCode(NbInstaller.java:360)
	at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:276)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:898)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:377)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:311)
	at org.netbeans.core.startup.ModuleSystem.restore
(ModuleSystem.java:244)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:206)
	at org.netbeans.core.startup.Main.start(Main.java:377)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:90)
[catch] at java.lang.Thread.run(Thread.java:595)

   I closed the ide and the exception occured every times i start IDE,it seems 
that some files missed while downloading. Why not the herbernate plugin 
contains the needed xdoclet libraies? I think it's  better supply the core 
libraries with the hibernate plugin.
Comment 1 pzajac 2006-10-01 23:07:03 UTC
I don't have Chinese locales on my computer. Can you send me content of
"config/org-netbeans-api-project-libraries" folder in userdir? I'll try to check
what's wrong. 

> re distribute libraries

The hibernate distribution contains a lot of libraries. Therefore I choosed
variant with selection of folder with hibernate. But other libraries can be
wrapped to NetBeans module.  
Comment 2 hdwang 2006-10-03 01:41:52 UTC
Created attachment 34782 [details]
the config/org-netbeans-api-project-libraries contents(zipped)
Comment 3 hdwang 2006-10-03 01:50:44 UTC
Created attachment 34783 [details]
the xdoclet-xdoclet-module-1.2.3.jar.xml 's screen snap shot
Comment 4 hdwang 2006-10-03 01:55:33 UTC
i looked at one of the config files,it maybe the chinese named folder cause the
problem.Please see the attach of  screen snapshot
Comment 5 Lukas Hasik 2006-10-03 09:43:09 UTC
it remembers me issue 72565 - that was fixed by use of
XMLUtil.toAttributeValue(path) before writing a path to xml.
Comment 6 pzajac 2006-10-03 12:31:00 UTC
There are two bugs in my code. I am using PrintStream for genearting xml files.
I it is necessary to use PrintWriter with explicitly defined "UTF-8: encoding.
The second problem is with encoding files. 

Thanks a lot. I'll try to fix it and send you updated module today or tomorrow.
Comment 7 pzajac 2006-10-17 16:49:44 UTC
fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo